Bug 22321 - looking for up2date server source
looking for up2date server source
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Aaron Brown
:
: 22358 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-14 20:40 EST by Federico Grau
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-15 13:22:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Federico Grau 2000-12-14 20:40:52 EST
Hello, 

The up2date package appears to be a desperately needed package to assist in
maintaining packages on a redhat computer recent.  This is obviously of
very high importance in terms of security, in order to correct security
vulnerability as quickly and easily as possible.  I am responsible for a
large group of redhat linux servers, and this is redhats greatest weakness.

Unfortunately the up2date package (at least on redhat 6.2) is not yet very
documented.  I could not find a man page with the package or more
importantly a site on the internet where development of this package is
happening which might have more information.

I would like to set up my own up2date server on my lan in order to reduce
bandwidth over the internet and to be able to maintain more control. 
However I cannot find the source (or any documentation) for the up2date
server... the only mention of it I see is that at ftp.redhat.com and
priority.redhat.com the server is a cgi program called
"/up2date/server.cgi".

Where is there source for the up2date server and where is there more
documentation for up2date and the up2date server.

thanks,
donfede
Comment 1 Federico Grau 2000-12-15 13:22:15 EST
*** Bug 22358 has been marked as a duplicate of this bug. ***
Comment 2 Preston Brown 2000-12-21 14:42:26 EST
The Update Agent is part of Red Hat Network, a complex set of hardware and
softrware that is intimately tied to our internal systems and thus the code is
not available (you would need Oracle and Novell Directory Server, among other
things).  However, a proxy server will be available in the future that does much
of what you are requesting.

Note You need to log in before you can comment on or make changes to this bug.